Error when starting KaShell language

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Error when starting KaShell language

Jason Hemann-2
Hi all,

I wanted to play with the KaShell language (http://kashell.org/), and I
believe I followed the instructions to start. However, I see the following
error message when I try:

````
bash-3.2$ bash --version
GNU bash, version 3.2.57(1)-release (x86_64-apple-darwin17)
Copyright (C) 2007 Free Software Foundation, Inc.
bash-3.2$ kawa --version
Kawa 3.0 (git describe: 3.0-0-g39797ea94)
Copyright (C) 2017 Per Bothner
bash-3.2$ kawa --kashell
Exception in thread "main" getInstance for 'gnu.q2.lang.Q2' failed
at gnu.expr.Language.getInstance(Language.java:272)
at gnu.expr.Language.getInstance(Language.java:230)
at kawa.repl.setLanguage(repl.java:232)
at kawa.repl.processArgs(repl.java:652)
at kawa.repl.main(repl.java:820)
Caused by: java.lang.NoSuchMethodException: gnu.q2.lang.Q2.getInstance()
at java.lang.Class.getDeclaredMethod(Class.java:2130)
at gnu.expr.Language.getInstance(Language.java:259)
... 4 more
````

I'm new at using Kawa, so this could easily be some simple setup or
configuration error on my part.

Thank you in advance for your help,

Jason Hemann
Reply | Threaded
Open this post in threaded view
|

Re: Error when starting KaShell language

Per Bothner
On 12/5/19 10:14 AM, Jason Hemann wrote:

> Hi all,
>
> I wanted to play with the KaShell language (http://kashell.org/), and I
> believe I followed the instructions to start. However, I see the following
> error message when I try:
>
> ````
> bash-3.2$ kawa --version
> Kawa 3.0 (git describe: 3.0-0-g39797ea94)
> Copyright (C) 2017 Per Bothner

That's pretty old.  Try the HEAD version from gitlab.

(I'm working on getting a 3.1 release out.  A few minor things to do,
mainly documentation, but no promises when it will get done.)
--
        --Per Bothner
[hidden email]   http://per.bothner.com/
Reply | Threaded
Open this post in threaded view
|

Re: [External] Re: Error when starting KaShell language

Jason Hemann-2
Per,

Ah. I'd grabbed the version from homebrew. I'll go grab HEAD, and report
back if there are more problems.

Thank you,

On Thu, Dec 5, 2019 at 2:41 PM Per Bothner <[hidden email]> wrote:

> This message was sent from a non-IU address. Please exercise caution when
> clicking links or opening attachments from external sources.
> -------
>
> On 12/5/19 10:14 AM, Jason Hemann wrote:
> > Hi all,
> >
> > I wanted to play with the KaShell language (http://kashell.org/), and I
> > believe I followed the instructions to start. However, I see the
> following
> > error message when I try:
> >
> > ````
> > bash-3.2$ kawa --version
> > Kawa 3.0 (git describe: 3.0-0-g39797ea94)
> > Copyright (C) 2017 Per Bothner
>
> That's pretty old.  Try the HEAD version from gitlab.
>
> (I'm working on getting a 3.1 release out.  A few minor things to do,
> mainly documentation, but no promises when it will get done.)
> --
>         --Per Bothner
> [hidden email]   http://per.bothner.com/
>